package fr.iut.pm.movieapplication.network.dtos

import com.squareup.moshi.Json

data class MovieDTO(
    @Json(name = "poster_path")
    val posterPath : String?,
    val adult : Boolean,
    val overview : String?,
    @Json(name = "release_date")
    val releaseDate : String,
    @Json(name = "genre_ids")
    val genreIds : List<Int>,
    val id : Int,
    @Json(name = "original_title")
    val originalTitle : String,
    @Json(name = "original_language")
    val originalLanguage : String,
    val title : String


) {


}