package fr.iut.pm.movieapplication.repository

import fr.iut.pm.movieapplication.data.dao.MovieDAO
import fr.iut.pm.movieapplication.model.Movie
import fr.iut.pm.movieapplication.network.dtos.MovieDTO
import kotlinx.coroutines.flow.Flow
import kotlinx.coroutines.flow.combine
import kotlinx.coroutines.flow.transform

class MovieRepository() {

    suspend fun getPopularMovies() : List<MovieDTO>{
        return PopularRepository().getPopular()!!.results
    }
}